### Name: log.vero

### Aliases: log.vero
### Keywords: ~kwd1 ~kwd2

### ** Examples

##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--    or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function(theta1,dados.comp,print.pars=F){
  if(theta1[1] <= 0)     return(.Machine$double.xmax^0.5)
  if(theta1[2] <= 0)     return(.Machine$double.xmax^0.5)
  if(theta1[3] <= 0)     return(.Machine$double.xmax^0.5)
  if(theta1[4] < 0)      return(.Machine$double.xmax^0.5)
  if(abs(theta1[5]) > 1) return(.Machine$double.xmax^0.5)

## Pegando o Y
y <- dados.comp[[2]][[1]]
X <- cbind(rep(1:0,length=length(y)),rep(0:1,length=length(y)))
####
V <- monta.V(theta1, dados.comp = dados.comp)
ldetV <- determinant(V,log=TRUE)$modulus[1]
mu <- drop(solve(crossprod(X,solve(V,X))) %*%crossprod(X,solve(V,y)))
Qe <- drop(crossprod(y,solve(V,y))-2*crossprod(y,solve(V,X%*%mu))+crossprod(mu,crossprod(X,solve(V,X%*%mu)))) 
  if(Qe < 0) return(Qe=.Machine$double.xmax^0.5)
  n <- length(y)
  s1 <- sqrt(Qe/n)
  # drop diminui a dimensao do objeto
  ll <- drop(-0.5*(n*log(2*pi)+n*log(s1^2)+ ldetV + (1/(s1^2))*Qe))
  if(print.pars) print(c(theta1,ll))
  return(-ll)
 }



